using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Crew : MonoBehaviour
{
  public enum CrewType
  {
    Dog,
    Cat,
    //Bunny,
    Frog
  }

  public Sprite DogSprite;
  public Sprite CatSprite;
  public Sprite BunnySprite;
  public Sprite FrogSprite;

  public int PlayerNum;

  public CrewType CType;

  void Start()
  {
    switch(CType)
    {
      //case CrewType.Bunny:
      //  this.GetComponentInChildren<SpriteRenderer>().sprite = BunnySprite;
      //  break;

      case CrewType.Cat:
        this.GetComponentInChildren<SpriteRenderer>().sprite = CatSprite;
        break;
      case CrewType.Dog:
        this.GetComponentInChildren<SpriteRenderer>().sprite = DogSprite;
        break;
      case CrewType.Frog:
        this.GetComponentInChildren<SpriteRenderer>().sprite = FrogSprite;
        break;
    }
  }

  // Update is called once per frame
  void Update()
  {

  }

  public void TransferTo(GameObject target)
  {
    this.transform.SetParent(target.transform);
  }
}
